Subject: Re: BUG in dma-mapping.h:218 // MESH SCSI driver not working

From: Stef Simoens <[email-masked]>
Date: Thu, 30 Jul 2009 01:42:12 +0200

Benjamin Herrenschmidt schreef:
> On Wed, 2009-07-29 at 20:22 +0200, Stef Simoens wrote:
>   
>> 2.6.29 works OK
>> 2.6.30-rc1 doesn't work (BUG...)
>> 2.6.30-rc1 with your patch ... seems to hang when it should be
>> mounting the root directory.
>>
>> Is it worthwhile doing a git bisect?
>>     
>
> It probably is, since it should work with my patch, so something else
> changed, maybe in the SCSI stack.
>   
What would be the best approach?
- if the kernel boots, it's obviously 'good'
- but what if the kernel hits the 'BUG', should I apply your patch then? 
If it doesn't work with your patch, would it be 'bad' then?
> One thing I know is that the MESH HW has "issues" that make it very
> sensitive to alignment DMA buffers, it's possible that the SCSI stack no
> longer aligns some stuff ?
>   
Hmm, great... how can I verify this?

-- 
Regards,
Stef Simoens